/*
 * Configurate
 * Copyright (C) zml and Configurate contributors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package ninja.leaping.configurate;

import ninja.leaping.configurate.attributed.AttributedConfigurationNode;
import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertFalse;
import static org.junit.jupiter.api.Assertions.assertTrue;

public class AttributedConfigurationNodeTest {
    @Test
    public void testIsEmptyIncludesAttributes() {
        final AttributedConfigurationNode node = AttributedConfigurationNode.root();

        assertTrue(node.isEmpty());

        node.addAttribute("pancakes", "blueberry");

        assertFalse(node.isEmpty());
    }

    @Test
    public void testSettingAttributeAttaches() {
        final AttributedConfigurationNode node = AttributedConfigurationNode.root();

        AttributedConfigurationNode child = node.getNode("yoink");
        assertTrue(child.isVirtual());
        child.addAttribute("cheese", "cake");
        assertFalse(child.isVirtual());
    }
}
